// Generic

@keyframes fade {
    0% {
        opacity: 1;
    }
    100% {
        opacity: 0;
    }
}

@keyframes fadeIn {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

// Splash Page

@keyframes splashFadeUpShort {
    0% {
        bottom: 0;
    }
    100% {
        bottom: 5%;
        opacity: 0;
    }
}

@keyframes splashLogoPlay {
    0% {
        background-position: 0px 0px;
    }
    100% {
        background-position: -19800px 0px;
    }
}

@keyframes splashLogoSlideInRight {
    0% {
        right: 10%;
    }
    100% {
        right: 0%;
    }
}

@keyframes splashTextSlideInLeft {
    0% {
        right: -15%;
        opacity: 0;
    }
    100% {
        right: 0;
        opacity: 1;
    }
}

// Hero Section

@keyframes hideOverlayRemove {
    0% {
        opacity: 0.15;
    }
    100% {
        opacity: 0;
    }
}

@keyframes showHeroOverlay {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 0.15;
    }
}

@keyframes heroGrowScrollArrow {
    0% {
        height: 2em;
    }
    50% {
        height: 3.5em;
    }
    100% {
        height: 2em;
    }
}

@keyframes heroCaret {
    50% {
        border-color: transparent;
    }
}

@keyframes heroBackgroundZoomIn {
    0% {
        transform: scale(1);
    }
    100% {
        transform: scale(1.15);
    }
}

@media (min-width: $sm) {
    @keyframes heroGrowScrollArrow {
        0% {
            height: 7.5em;
        }
        50% {
            height: 10em;
        }
        100% {
            height: 7.5em;
        }
    }
}

// Projects Section

@keyframes projectsRightToLeft {
    0% {
        transform: translate3d(100%, 0, 0);
    }
    100% {
        transform: translate3d(0, 0, 0);
    }
}

@keyframes projectsRightToLeftReverse {
    0% {
        transform: translate3d(0, 0, 0);
    }
    100% {
        transform: translate3d(100%, 0, 0);
    }
}

@media (min-width: $lg) {
    @keyframes projectsRightToLeft {
        0% {
            transform: translate3d(100%, 0, 0);
        }
        100% {
            transform: translate3d(0, 0, 0);
        }
    }

    @keyframes projectsLeftToRight {
        0% {
            transform: translate3d(-100%, 0, 0);
        }
        100% {
            transform: translate3d(0, 0, 0);
        }
    }

    @keyframes projectsRightToLeftReverse {
        0% {
            transform: translate3d(0, 0, 0);
        }
        100% {
            transform: translate3d(100%, 0, 0);
        }
    }

    @keyframes projectsLeftToRightReverse {
        0% {
            transform: translate3d(0, 0, 0);
        }
        100% {
            transform: translate3d(-100%, 0, 0);
        }
    }
}

// Cursor Pulsate Animation

@keyframes cursorPulsate {
    from {
        transform: scale(1);
    }
    to {
        transform: scale(0.6);
    }
}
